@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@400&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Work+Sans:wght@300;800;900&display=swap');

.pu_blocks .pu_block.alert.pu_priority_1 {
  border-color: #dc3545;
}

nav.navbar .badge {
  margin-top: .5em;
}

.page-getcab a.btn-big {
    display: block;
    color: #343a40;
    border: 1px solid #343a40;
    border-radius: 100px;
    margin-bottom: 0.5em;
    text-align: center;
    font-size: 1.2em;
    padding: 12px 20px;
    font-weight: bold;
}

.page-getcab h4 {
  margin-bottom: 1em;
}

.page-getcab .alert p:nth-last-of-type(1) {
    margin-bottom: 0;
}

.page-getcab h6 {
    margin-top: 2em;
    margin-bottom: .5em;
    font-size: 1.25em;
}

.page-getcab a {
    text-decoration: none !important;
    border-bottom: 1px solid #0062cc;
}

.italic {
    font-style: italic;
}

.bold {
    font-weight: bold;
}

.user-cabinet a.navbar-brand span,
.coach-cabinet a.navbar-brand span {
  padding-left: .25em;
}

.user-cabinet .navbar_logo_text,
.coach-cabinet .navbar_logo_text {
  margin-top: .25em;
}

.navbar_logo_text {
  font-size: 1.25em;
  display: block;
  margin-left: 0;
  margin-top: .3em;
}

.navbar > * {
  vertical-align: top;
}

.navbar_logo_text_brand {
  display: inline-block;
}

.navbar_logo_image_brand {
  margin-top: .3em;
  margin-left: 1em !important;
  display: inline-block;
}

.error-page-wrapper {
  margin: 3em 0;
}

.error_data {
  background-color: #efefef;
  border-radius: 5px;
  font-family: monospace;
  padding: 15px;
  font-size: .75em;
}

.smaller {
  font-size: .75em;
}

.bigger {
  font-size: 1.25em;
  margin-bottom: 1em;
}

.left_data_block {
  margin-left: .5em;
}

.left_data_block .badge {
  margin-right: .25em;
}

.page-engine-locations td .badge {
  font-size: .9em;
}

.table-predsez td .badge,
.table-predsez th .badge {
  font-size: .9em;
}

.pre_comment {
  font-style: italic;
  font-size: .8em;
}

.pre_status_html {
  display: block;
  margin-top: 1em;
}

a.mtr-helper {
  text-decoration: none;
  border-bottom: 1px dotted #007bff;
  display: inline-block;
  margin-left: 1em;
  line-height: 1em;

  display: none;
}

a.mtr-helper:hover {
  border-bottom-color: transparent;
}

.paygate_custom {
  margin-bottom: 1em;
}

.content_wrapper {
  width: 100%;
  height: 300px;
  border-radius: 5px;
  background-color: #f1f1f1;
  overflow-y: scroll;
  padding: 1.5em;
  margin-bottom: 1em;
}

.content_wrapper .mtr-switchery-label:nth-last-of-type(1) {
  margin-bottom: 0;
}

.paygate_wrapper {
  border: 1px solid #6c757d;
  border-radius: 5px;
  padding: 15px;
  margin-bottom: 1em;
}

.paygate_wrapper .mtr-switchery-label:nth-last-of-type(1) {
  margin-bottom: 0;
}

.paygate_wrapper p:nth-last-of-type(1) {
  margin-bottom: 0;
}

.superpassword_wrapper {
  margin-top: 3em;
  border: 1px solid #007bff;
  border-radius: 5px;
  padding: 15px;
  margin-bottom: 1em;
}

div.bills_files ul {
  margin-bottom: 0;
  margin-left: 0;
  padding-left: 2em;
}

.student_data_navi_block {
  margin-top: .5em;
  margin-bottom: .5em;
}

.max-150 {
  max-width: 150px;
}

.max-overflow {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  position: relative;
}

.db {
  display: block;
}

.add_workoff {
  margin-top: 1em;
}

.page-settings span.db { display: block; }
.page-settings .tab-pane { padding-top: 1em; }
.page-settings .nav-item { margin-right: 2px;  }

.page-settings .db_labels span {
  display: block;
  margin-bottom: .35em;
}

.page-settings .db_labels span label {
  display: inline-block;
  margin-bottom: 0;
}

.page-settings .db_labels label input {
  margin-right: .25em;
}

/* jQuery UI Tooltip */

.ui-widget.ui-widget-content {
  border: none;
}

.ui-tooltip, .arrow:after {
  background: #343a40;
  border: none;
}

.ui-tooltip {
  padding: .5em .75em;
  color: white;
  border-radius: .5em;
  box-shadow: none;
  font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
}

.arrow {
  width: 70px;
  height: 16px;
  overflow: hidden;
  position: absolute;
  left: 50%;
  margin-left: -35px;
  bottom: -16px;
}

.arrow.top {
  top: -16px;
  bottom: auto;
}

.arrow.left {
  left: 20%;
}

.arrow:after {
  content: "";
  position: absolute;
  left: 20px;
  top: -20px;
  width: 25px;
  height: 25px;
  box-shadow: 6px 5px 9px -9px black;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

.arrow.top:after {
  bottom: -20px;
  top: auto;
}

/* ion.rangeSlider */

.irs--flat .irs-bar, .irs--flat .irs-from, .irs--flat .irs-to, .irs--flat .irs-single, .irs--flat .irs-handle > i:first-child, .irs--flat .irs-handle.state_hover > i:first-child, .irs--flat .irs-handle:hover > i:first-child {
  background-color: #343a40 !important;
}

.irs--flat .irs-from:before, .irs--flat .irs-to:before, .irs--flat .irs-single:before {
  border-top-color: #343a40 !important;
}

/* FA & LA */

.la, .las, .lar, .lal, .lad, .lab {
  font-size: 1.2em;
}

.fa-spin {
  -webkit-animation-delay: var(--fa-animation-delay, 0s);
  animation-delay: var(--fa-animation-delay, 0s);
  -webkit-animation-direction: var(--fa-animation-direction, normal);
  animation-direction: var(--fa-animation-direction, normal);
  -webkit-animation-name: fa-spin;
  animation-name: fa-spin;
  -webkit-animation-duration: var(--fa-animation-duration, 2s);
  animation-duration: var(--fa-animation-duration, 2s);
  -webkit-animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  animation-iteration-count: var(--fa-animation-iteration-count, infinite);
  -webkit-animation-timing-function: var(--fa-animation-timing, linear);
  animation-timing-function: var(--fa-animation-timing, linear);
}

@-webkit-keyframes fa-spin {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg)
  }

  to {
    -webkit-transform: rotate(1turn);
    transform: rotate(1turn)
  }
}

@keyframes fa-spin {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg)
  }

  to {
    -webkit-transform: rotate(1turn);
    transform: rotate(1turn)
  }
}

/* Trumbowyg */

.trumbowyg-box {
  min-height: 200px !important;
}

.trumbowyg-editor-box {
  background-color: #fff;
}

#wysiwyg,
#wysiwyg_edit {
  height: 600px;
}

#wysiwyg.height300,
#wysiwyg_edit.height300 {
  height: 300px;
}

.height300 {
  height: 300px;
}

.height150 {
  height: 150px;
}

.height200 {
  height: 200px;
}

/* Datepicker */

#ui-datepicker-div {
  z-index: 10002 !important;
}

.month_year_datepicker .ui-datepicker-calendar {
  display: none;
}

.month_year_datepicker .ui-datepicker-current {
  display: none;
}

.month_year_datepicker .ui-datepicker-close {
  width: 100% !important;
  margin-left: 0 !important;
  float: none !important;
}

.month_year_datepicker .ui-datepicker-title select {
  padding: .35em .15em;
}

.month_year_datepicker .ui-datepicker-title select:nth-of-type(1) {
  margin-right: .25em;
}

.month_year_datepicker .ui-widget-content {
  border: none !important;
}

.month_year_datepicker .ui-datepicker-buttonpane {
  margin-top: 0 !important;
}

/* Select2 */

.select2, 
.select2-no-search,
.select2-nosearch {
  width: 100% !important;
}

.select2-container .select2-selection--single {
  min-height: 38px;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
  line-height: 38px;
  font-size: 16px;
  padding-left: .75rem;
  padding-right: .75rem;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 38px;
}

.select2-dropdown {
  z-index: 99999;
}

.select2-container--default .select2-selection--single {
  border-color: #ced4da;
}

table.table-addLessonMulti .select2-container .select2-selection--single {
  min-height: 25px;
  font-size: 12px;
}

.select2-add-lesson .select2-results__option {
  padding: 4px 0;
}

.select2-add-lesson .select2-results__options li {
  font-size: 12px;
}

table.table-addLessonMulti .select2-container--default .select2-selection--single .select2-selection__rendered {
  line-height: 25px;
  font-size: 12px;
}

table.table-addLessonMulti .select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 25px;
}

/* Switchery */

.mtr-switchery-label.mtr-switchery-label-save-to-do .mtr-switchery-title {
  color: #007bff;
  font-weight: bold;
}

label.mtr-switchery-label {
  display: block;
}

.mtr-switchery-label .mtr-switchery-title {
  display: inline-block;
  vertical-align: top;
  margin-left: .35em;
  margin-top: 1px;
}

.mtr-switchery-label .mtr-switchery-title.mtr-switchery-title-more {
  margin-top: 2px;
  margin-left: .5em;
}

.mtr-switchery-label .mtr-switchery-title-h5 {
  font-size: 1.25rem;
  line-height: 1rem;
  font-weight: 500;
  margin-top: 4px;
  margin-left: 8px;
}

.select2-container--default .select2-selection--single {
  border-color: #ced4da;
}

.page-users .badge {
  font-size: .9em;
}

.page-transactions .addExpense, 
.page-transactions .addTransaction {
  display: none;
}

.page-transactions .sort_table_values {
  margin-bottom: 1em;
}

.page-transactions .student-edit-menu .btn.btn-sm {
  font-size: 12px;
  line-height: 1em;
  padding: 5px 10px;
  border-radius: 3px;
}

.page-transactions .student-edit-menu .dropdown-menu {
  padding: 5px 0;
}

.page-transactions .student-edit-menu .dropdown-divider {
  margin: 5px 0;
}

.page-transactions .student-edit-menu .dropdown-item {
  font-size: 12px;
  line-height: 1em;
  padding: 5px 10px;
}

.page-cabinet-lessons td.status span.badge {
  margin-right: .25em;
}

.page-payments .sp_subs .alert.alert-warning {
  margin: 0;
  padding: 3px 10px;
  border-radius: 0;
  border: 0;
}

a.disabled {
  pointer-events: none;
  cursor: default;
}

/*
.sub_block_invis {
  opacity: .5;
}
*/

table.table-forecast-comments-history tr td {
  padding: .15rem;
  font-size: .9em;
}

tr.hightlight_on_hover:hover {
  background-color: #fff3cd !important;
}

.forecasts_history {
  display: block;
  margin-top: .5em;
  display: none;
}

.forecasts_history .fh_block {
  display: block;
  padding: .25em 0;
  border-bottom: 1px solid #bcbcbc;
}

.forecasts_history .fh_block:nth-last-of-type(1) {
  padding-bottom: 0;
  border-bottom: none;
}

.badge.badge-secondary.badge-secondary-half {
  background-color: #aaa;
}

tr.bottom_border_transparent td {
  border-bottom-color: transparent;
  padding-bottom: 0;
}

tr.top_border_transparent > td {
  border-top-color: transparent;
  padding-top: 0;
}

.badge.forecast_comment {
  font-size: .9em;
  font-weight: normal;
  text-align: left;
  white-space: normal;
  line-height: 1.25em;
}

.forecast_input input.form-control-sm {
  display: inline-block;
  width: 80%;
  margin-right: .5em;
  font-size: .8em;
  padding: .2em .4em;
}

a.edit_forecast_comment {
}

td.student_status {
  white-space: nowrap;
  vertical-align: top;
}

td.student_status span {
  background-color: red;
  display: inline-block;
  border-radius: 25px;
  width: 25px;
  height: 25px;
  margin-right: 3px;
  text-align: center;
  vertical-align: top;
}

td.student_status span.ss_15 {
  line-height: 25px;
  padding-left: 2px;
}

td.student_status span.ss_sick {
  line-height: 23px;
  padding-left: 1px;
}

td.student_status span.ss_kick {
  line-height: 20px;
}

.forecast_input {
  display: none;
}

.cabinet_photo_preview {
    width: 300px;
}

.cabinet_photo_preview img {
    width: 100%;
}

.ml05em {
  margin-left: .5em !important;
}

.ml1em {
  margin-left: 1em !important;
}

.ml2em {
  margin-left: 2em !important;
}

table.table.table-borders {
  border-left: 1px solid #dee2e6;
  border-bottom: 1px solid #dee2e6;
}

table.table.table-borders th, 
table.table.table-borders td {
  border-right: 1px solid #dee2e6;
}

.p-as-list p, 
.p-as-list ul,
.p-as-list ol {
  margin-bottom: .5em;
  margin-left: 1em;
}

.p-as-list {
  margin-bottom: 1em;
}

table.table-coaches tr:hover td,
table.table-coaches tr:hover td a {
  background-color: #333;
  color: #fff;
}

.badge-outline-white {
  border: 1px solid #fff;
  background-color: transparent;
}

.badge-white {
  background-color: #fff;
  color: #007bff;
}

ul.mini-ul, ul.mini-ul li {
  margin: 0;
  padding: 0;
}

ul.mini-ul {
  margin-bottom: 1em;
}

ul.mini-ul li {
  list-style-type: none;
}

ul.mini-ul li:before {
  content: "– ";
}

.lesson-block-title {
  background-color: #bee5eb;
  border-top: 1px solid #86cfda;
  font-weight: bold;
  text-transform: uppercase;
  padding: .5em .5em;
  font-size: 1.1em;
}

.mt2em {
  margin-top: 2em;
}

.mb2em {
  margin-bottom: 2em;
}

.lesson-block {
  border-top: 1px solid #dee2e6;
  padding: .25em .5em;
}

.lesson-block .row > div:nth-last-of-type(1) {
  text-align: right;
}

.badge09em {
  font-size: .9em;
}

.nav-icon {
  display: inline-block;
  width: 25px;
}

.nav-link-pay {
  font-weight: bold;
  background-color: #28a745;
  border-top-color: #1e7c33 !important;
  color: #fff !important;
}

.nav-link-pay a {
  color: #fff !important;
}

.pc_date {
  display: inline-block;
  border-right: 1px dotted #aaa;
  padding-right: 1em;
  margin-right: 1em;
}

.pc_date:nth-last-of-type(1)
{
  border-right-color: transparent;
}

.pc_year {
  margin-bottom: 2em;
}

.btn.btn-sm.btn-micro {
  padding: 3px 2em;
}

.students_avatar {
  display: inline-block;
  width: 40px;
  height: 40px;
  border-radius: 20px;
  overflow: hidden;
}

.students_avatar img {
  width: 100%;
}

h1.h2 .students_avatar {
  position: relative;
  top: 10px;
}

h1.h2-students-edit {
  display: block;
  vertical-align: top;
  position: relative;
  line-height: .9em;
}

.fastlog-wrapper {
  float: right;
  display: inline-block;
  height: 100%;
  line-height: 1;
}

.fastlog-wrapper a {
  display: inline-block;
  color: rgba(255,255,255,.5) !important;
  padding: 0.5rem 1rem;
  font-size: 1.25rem;
  line-height: 1;
  background-color: transparent;
  border: 1px solid rgba(255,255,255,.1);
  border-radius: 0.25rem;
}

.fastlog-wrapper a.fastlog-support {
  margin-right: .5em;
}

.scoring-data {
  margin-bottom: 1em;
}

.su-hidden {
  display: none;
}

.sd-full-stats {
  margin-top: 1em;
}

.sd-info {
  font-size: .8em;
  color: #666;
}

.sc-title {
  text-transform: uppercase;
  font-size: .8em;
  letter-spacing: .1em;
}

.sc-value {
  font-size: 2.5em;
  line-height: 1.2em;
  font-family: 'Work Sans', sans-serif;
  font-weight: 300;
}

.sc-value-bold {
  font-weight: 900;
}

.sc-move {
  padding-left: .5em;
  display: inline-block;
}

.sc-move.sc-move-edit {
  font-size: .6em;
}

.sc-value.sc-value-mini {
  font-weight: 800;
  font-size: 1em;
  color: #fff;
  padding: 4px 5px 2px 5px;
  border-radius: 5px;
  display: block;
  text-align: center;

  -webkit-box-shadow: 0px 5px 5px -5px rgba(34, 60, 80, 0.4);
  -moz-box-shadow: 0px 5px 5px -5px rgba(34, 60, 80, 0.4);
  box-shadow: 0px 5px 5px -5px rgba(34, 60, 80, 0.4);
}

.sc-value.sc-value-mini.sc-value-mini-subs {
  font-size: 1em;
  padding: 2px 4px 1px 4px;
}

.sc-value.sct-green {
  background: -webkit-linear-gradient(180deg, rgba(13,213,84,1) 100%, rgba(30,156,11,1) 100%);
}

.sc-value.sct-yellow {
  background: -webkit-linear-gradient(180deg, rgba(217,202,43,1) 0%, rgba(235,185,12,1) 100%);
}

.sc-value.sct-red {
  background: -webkit-linear-gradient(180deg, rgba(231,134,109,1) 0%, rgba(199,28,8,1) 100%);
}

.sc-value.sct-na {
  background: -webkit-linear-gradient(180deg, rgba(111,111,111,1) 0%, rgba(77,77,77,1) 100%);
}

.scoring-data .sc-value {
  background: -webkit-linear-gradient(#111, #222);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.scoring-data .sc-value.sct-green {
  background: -webkit-linear-gradient(180deg, rgba(13,213,84,1) 100%, rgba(30,156,11,1) 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.scoring-data .sc-value.sct-yellow {
  background: -webkit-linear-gradient(180deg, rgba(217,202,43,1) 0%, rgba(235,185,12,1) 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.scoring-data .sc-value.sct-red {
  background: -webkit-linear-gradient(180deg, rgba(231,134,109,1) 0%, rgba(199,28,8,1) 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.scoring-data .sc-value.sct-na {
  background: -webkit-linear-gradient(180deg, rgba(111,111,111,1) 0%, rgba(77,77,77,1) 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.alert-outline-warning {
    border-color: #edd58a;
    color: #856404;
} 

.alert-outline-info {
    border-color: #edd58a;
    color: #856404;
} 

.alert-outline-primary {
  border-color: #007bff;
}

.alert-primary-full {
  border-color: #007bff;
  background-color: #007bff;
  color: #fff;
}

.alert.alert-outline-primary {
  color: #007bff;
}

.alert.alert-outline-primary p:nth-last-of-type(1) {
  margin-bottom: 0;
}

body {
  font-size: .875rem;
}

.btn-pseudo-primary {
  border: 1px dotted #007bff;
  color: #007bff;
}

.btn-pseudo-primary:hover {
  border-style: dashed;
  background-color: #007bff;
  color: #fff;
}

.alert.alert-outline-danger {
    border: 1px solid #dc3545;
}

.alert.alert-outline-success {
    border: 1px solid #155724;
}

.green {
  color: #28a745;
}

.red {
  color: #dc3545;
}

a.anchor {
    display: block;
    position: relative;
    top: -80px;
    visibility: hidden;
}

.btn.btn-sm.btn-full {
  text-transform: uppercase;
  font-size: 1em !important;
}

div.form-title {
  text-align: center;
  font-weight: bold;
  color: #007bff;
  position: relative;
  margin-bottom: 10px;
}

div.form-title span {
  font-size: 12px;
  display: inline-block;
  background-color: #fff;
  position: relative;
  z-index: 2;
  padding: 0 10px;
}

span.badge span {
  font-size: 12px;
  display: inline-block;
  position: relative;
  z-index: 2;
  padding: 0 10px;
}

div.form-title:before {
  content: "";
  display: block;
  width: 100%;
  height: 2px;
  background-color: #007bff;
  position: absolute;
  top: 10px;
}

a.pseudo {
  border-bottom: 1px dotted #007bff;
  text-decoration: none;
}

a.pseudo:hover,
a.pseudo:focus {
  border-bottom-color: transparent;
}

.btn-full {
  width: 100%;
}

.mb05em {
  margin-bottom: .5em;
}

.mb0 {
  margin-bottom: 0;
}

.mb02em {
  margin-bottom: .2em;
}

.mb-dib {
  display: inline-block;
  line-height: 1.35em;
}

/*.alert p:nth-last-of-type(1) {
  margin-bottom: 0;
  padding-bottom: 0;
}*/

h4.h4_pay_price {
  margin-bottom: 0;
  font-size: 2.25em;
  font-weight: bold;
}

.alert-pay-info p {
  margin-bottom: 0;
  padding-bottom: 0;
  font-size: 1.25em;
}

.badge-outline-secondary {
  background-color: transparent;
  border: 1px solid #999;
  color: #999;
}

div.form-wrapper {
  background-color: #fff;
  border-radius: 10px;

  padding: 15px 30px 30px 30px;

  -webkit-box-shadow: 0px 0px 24px 0px rgba(0,0,0,0.15);
  -moz-box-shadow: 0px 0px 24px 0px rgba(0,0,0,0.15);
  box-shadow: 0px 0px 24px 0px rgba(0,0,0,0.15);

  margin-bottom: 40px;
}

div.form-wrapper .form-title span:nth-of-type(1) {
  text-transform: uppercase;
  font-size: 10px;
  line-height: 10px;
  letter-spacing: .1em;
}

div.form-wrapper .form-title a.span {
  text-decoration: none;
  border-bottom: 1px dotted #007bff;
}

/*div.form-wrapper input[type='submit'].btn {
  display: block;
  width: 100%;
  font-size: 1.4em;
}*/

.br {
  border-right: 1px solid #dee2e6;
}

.waiting_sum {
  display: inline-block;
  vertical-align: top;
  padding-left: 1em;
}

.row-with-margins .col-md-6 {
  margin-bottom: 2em;
}

.m-title .m-sum {
  font-size: 3em;
  font-weight: bold;
  line-height: 1.25em;
  font-family: 'Oswald', sans-serif;
  display: inline-block;
}

.m-title .m-sup {
  display: inline-block;
  vertical-align: top;
  padding-left: 1em;
  padding-top: 7px;
}

.m-title .m-sup > span {
  display: block;
}

.m-info {
  font-family: 'Open Sans', sans-serif;
  text-transform: uppercase;
  margin-top: .25em;
  font-size: 1.2em;
}

h5.lined {
  margin-top: 1em;
  margin-bottom: 1em;
  position: relative;
}

h5.lined .l-title {
  display: inline-block;
  background-color: #fff;
  position: relative;
  z-index: 99;
  padding-right: .5em;
}

h5.lined .l-line {
  display: block;
  width: 100%;
  height: 3px;
  background-color: #999;
  position: absolute;
  z-index: 98;
  top: 50%;
  left: 0;
}

.m-gray {
  color: #aaa;
}

.m-max {
  text-transform: uppercase;
  letter-spacing: .1em;
  font-size: .8em;
}

.mini-info {
  font-size: .8em;
  background-color: #f5f5f5;
  padding: 2px 4px;
  display: inline-block;
  max-width: 300px;
}

.m-sum.red {
  color: darkred;
}

.m-sum.green {
  color: green;
}

.parent_contact {
  display: block;
  white-space: nowrap;
  font-size: 12px;
}

.parent_contact a {
  display: inline-block;
  margin-right: 5px;
}

.parent_contact img {
  width: 12px;
}

.tr-done {
  opacity: .35;
}

.task-block {
  border-bottom: 1px solid #dee2e6;
  padding-bottom: 20px;
  margin-bottom: 20px;
}

.task-block .tb-title {
  font-size: 2em;
  font-weight: bold;
  line-height: 1.25em;
  font-family: 'Oswald', sans-serif;
  display: block;
}

.task-block .tb-info {
  font-family: 'Open Sans', sans-serif;
  text-transform: uppercase;
  margin-top: .25em;
  font-size: 1.1em;
  display: block;
}

.task-block a {
  display: block;
  width: 100%;
  text-transform: uppercase;
  padding-top: .35em;
  padding-bottom: .35em;
}

.task-block.tb-no-border {
  border-color: transparent;
}

table.table-kpi tr td {
  width: 25%;
}

span.kpi_full {
  display: block;
  width: 100%;
  height: 6px;
  border-radius: 3px;
  margin-top: 5px;
  background-color: #ddd;
  position: relative;
}

span.kpi_done {
  display: block;
  height: 6px;
  border-radius: 3px;
  background-color: green;
}

span.kpi_done.kpi_red {
  background-color: #dc3545;
}

span.kpi_done.kpi_yellow {
  background-color: #ffc107;
}

span.kpi_done.kpi_green {
  background-color: #28a745;
}

span.kpi_title {
  text-transform: uppercase;
  letter-spacing: 1px;
  font-size: 1.2em;
  padding-top: 6px;
  display: block;
}

table.table.table-kpi th {
  border-top-color: transparent;
}

div.gray-container {
  background-color: rgba(199, 199, 199, .3);
  margin-bottom: 10px;
  padding: 15px 25px;
  border-radius: 10px;
  font-size: 1.25em;
  transition: background-color 0.25s ease;
}

div.gray-container label {
  margin-bottom: 0;
  margin-top: 5px;
}

div.gray-container a.btn {
  display: block;
  width: 100%;
  padding: 5px 10px;
}

div.gray-container:hover {
  background-color: rgba(199, 199, 199, .4);
}

div.gray-container.gc-done {
  opacity: .5;
}

.alert.alert-white {
  background-color:  #fff;
}

.alert.alert-gray {
  background-color: #f1f1f1;
  padding-top: 1rem;
  padding-bottom: 1rem;
}

.alert.alert-dark-gray {
  background-color: #555;
  color: #fff;
  padding-top: 1rem;
  padding-bottom: 1rem;
}

.alert.alert-gray label,
.alert.alert-dark-gray label {
  margin-bottom: 0;
}

.badge.badge-manual-update {
  margin-left: .5em;
  padding: 0 5px;
}

.form_wrapper_gray {
  margin-bottom: 1em;
  background-color: #f1f1f1;
  border-radius: .5em;
  padding: 1.5em;
  margin-top: 1em;
}

.alert.alert-mini {
  padding: .25rem 0.75rem;
}

.parent_contact img {
  width: 16px;
}

.bright {
  border-right: 1px solid #dee2e6;
}

.half-opacity, 
.half-opacity a {
  color: #aaa;
}

.badge-full {
  font-size: .9em;
}

.feather {
  width: 16px;
  height: 16px;
  vertical-align: text-bottom;
}

.ruble_format {
  white-space: nowrap;
}

.hide_on_load {
  display: none;
}

.btn.btn-sm {
  font-size: 12px;
  line-height: 1em;
  padding: 5px 10px;
  border-radius: 3px;
}

.mb1em {
  margin-bottom: 1em;
}

.mt1em {
  margin-top: 1em;
}

/*
 * Sidebar
 */

.sidebar {
  position: fixed;
  top: 54px;
  bottom: 0;
  left: 0;
  z-index: 100; /* Behind the navbar */
  padding: 25px 0; /* Height of navbar */
  box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);

  overflow-y: auto;  /* Add overflow-y */
  overflow-x: hidden;  /* Add overflow-x */
}

.sidebar.sidebar-admin {
  padding-top: 0;
}

.sidebar-sticky {
  position: relative;
  top: 0;
  height: calc(100vh - 48px);
  padding-top: .5rem;
  overflow-x: hidden;
  overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
}

@supports ((position: -webkit-sticky) or (position: sticky)) {
  .sidebar-sticky {
    position: -webkit-sticky;
    position: sticky;
  }
}

.sidebar .nav-link {
  font-weight: 500;
  color: #333;
}

.sidebar .nav-link .feather {
  margin-right: 4px;
  color: #999;
}

.sidebar .nav-link.active {
  color: #007bff;
}

.sidebar .nav-link:hover .feather,
.sidebar .nav-link.active .feather {
  color: inherit;
}

.sidebar-heading {
  font-size: .75rem;
  text-transform: uppercase;
  padding-left: .75rem;
  right: .75rem;
}

.nav-link {
    display: block;
    padding: 0 .75rem;
    font-size: 1.1em;
}

.sidebar .user-info {
  display: block;
  font-size: 1.1em;
  background-color: rgb(238, 238, 238);
  padding: 15px .75rem;
  margin-bottom: 15px;
}

.sidebar .user-info p:nth-last-of-type(1) {
  margin-bottom: 0;
}

.sidebar .user-info a {
  color: #333;
  font-weight: 500;
  text-decoration: none;
  border-bottom: 1px solid #999;
}

.sidebar .user-info a:hover {
  border-bottom-color: transparent;
}

.sidebar .user-info table tr td {
  vertical-align: top;
}

.sidebar .user-info table tr td.ui-avatar {
  padding-right: 10px;
}

.sidebar .user-info img.user-avatar {
  width: 60px;
  height: 60px;
  border-radius: 30px;
}

.sidebar-heading {
  margin-top: .5em;
}

.sidebar-heading span {
  font-size: 1.25em;
}

.sidebar-heading span a {
  color: #7f878f;
  text-decoration: none;
  border-bottom: 1px dotted rgba(0, 0, 0, .25);
}

.sidebar-heading span a:hover {
  border-bottom-color: transparent;
}

/*
 * Content
 */

[role="main"] {
  padding-top: 70px; /* Space for fixed navbar */
}
/*
 * Navbar
 */

.navbar-brand {
  padding-top: .75rem;
  padding-bottom: .75rem;
  font-size: 1rem;
  background-color: rgba(0, 0, 0, .25);
  box-shadow: inset -1px 0 0 rgba(0, 0, 0, .25);
}

.navbar .form-control {
  padding: .75rem 1rem;
  border-width: 0;
  border-radius: 0;
}

.form-control-dark {
  color: #fff;
  background-color: rgba(255, 255, 255, .1);
  border-color: rgba(255, 255, 255, .1);
}

.form-control-dark:focus {
  border-color: transparent;
  box-shadow: 0 0 0 3px rgba(255, 255, 255, .25);
}

.navbar-brand {
  background-color: transparent;
  box-shadow: none;
  margin-left: .5em;
  padding: 0;
}

a.navbar-brand span {
  padding-left: 1em;
  padding-right: 1em;
}

a.navbar-brand img {
  height: 32px;
}

.navbar {
  z-index: 997;
  display: block;
  position: fixed;
  width: 100%;
  min-height: 58px;
}

/* mini-row */

.row.mini-row {
  margin-left: -2px;
  margin-right: -2px;
}

.mini-row .col-6,
.mini-row .col-md-6,
.mini-row .col-12 {
  padding-right: 2px;
  padding-left: 2px;
}

/* cyaModal */

div.cyaModal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #fff;
  z-index: 998;
  overflow: auto;
}

div.cyaModal div.cyaModal_inner {
  padding: 2em;
}

div.cyaModal div.cyaModal_close {
  position: absolute;
  top: 2.5em;
  right: 2.5em;
  z-index: 9999;
}

div.cyaModal div.cyaModal_close span {
  font-size: 48px;
  line-height: 48px;
  vertical-align: top;
  width: 48px;
  height: 48px;
  display: inline-block;
  text-align: center;
  cursor: pointer;
} 

div.cyaModal div.loader {
  font-size: 24px;
  margin-bottom: 1em;
  display: none;
}

tr.updatedBlink {
  background-color: #ffffe0;
}

h1.h1_top {
  margin-top: .5em;
  margin-bottom: 1em;
  font-size: 2.5em;
  text-transform: uppercase;
  letter-spacing: 3px;
}

.ld_data {
  margin-bottom: 1em;
  display: block;
}

.ld_data .badge {
  margin-right: .5em;
}

.ui-info-links {
  list-style-type: none;
  margin: 0;
  padding: 0;
  margin-top: 1em;
}

.navbar-badge {
  position: relative;
}

.nav-link .badge {
  width: 18px;
  height: 18px;
  line-height: 18px;
  padding: 0;
  border-radius: 9px;
}

.hide_on_desktop, 
.hide_on_desktop_inline {
  display: none;
}

div.gray-container {
  padding: 5px 15px;
  font-size: 1em;
}

div.gray-container a.btn {
  padding: 2px 5px;
  font-size: 1em;
}

.nowrap {
  white-space: nowrap;
}

.page-forecast-subs .form-control.form-control-sm.form-control-dib {
  display: none;
  width: 75px;
  font-size: .8em;
  padding: .1em .25em;
}

.page-forecast-subs .pcf_spin {
  margin-left: 5px;
}

.student_btns {
  display: block;
  margin-top: .5em;
  margin-bottom: .5em;
}

.mt025em {
  margin-top: .25em;
}


.mt05em {
  margin-top: .5em;
}

.page-custom-data .tab-pane {
  padding-top: 1em;
}

.page-custom-data .cd_delete_confirm, 
.page-custom-data .cd_status {
  display: none;
}

.page-custom-data .modal-wrapper {
  padding: 0 0.75rem;
}

.page-custom-data .modal-wrapper .alert {
  padding-top: 0.5rem;
  padding-bottom: 0.4rem;
}

.page-custom-data .cd_wrapper .cd_params {
  display: none;
}

.page-custom-data h6 .badge {
  font-size: .75em;
}

.page-static-pages td .badge {
  font-size: .8em;
}

.page-coach-info p .badge.badge-secondary {
  float: right;
}

.page-coach-info .coach_preview_pic {
  margin-bottom: 1em;
  width: 50%;
}

.page-coach-info .coach_preview_pic img {
  width: 100%;
}

.group-title-mobile {
  display: none;
}

.lb-moderating {
  color: #999;
}

.lesson-block-wrapper .lesson-block:nth-of-type(1) {
  border-top-width: 0;
}

.wtd_hidden {
  display: none;
}

@media (max-width: 767.98px) {

  .user-cabinet a.navbar-brand span,
  .coach-cabinet a.navbar-brand span {
    font-size: .75em;
    margin-top: .45em;
  }

  .navbar_logo_text {
    font-size: .9em;
    margin-top: .2em;
  }

  .navbar_logo_text_brand {

  }

  .navbar_logo_image_brand {
    margin-top: 0;
  }

  .lesson-block {
    padding: .5em 0;
    border-top-color: #aaa;
  }

  .group-title-mobile {
    display: block;
    border-bottom: 1px dotted #dee2e6;
    margin: .5em 0;
  }

  .page-coach-info .coach_preview_pic {
    width: 100%;
  }

  .mb1em_on_mobile {
    margin-bottom: 1em;
  }

  .row.row-workoffs > .col-6, 
  .row.row-workoffs > .col-12, 
  .mb-on-mobile {
    margin-bottom: .75rem;
  }

  .row.row-workoffs .col-12:nth-last-of-type(1) {
    margin-bottom: 0;
  }

  .payments_info {
    min-width: 150px !important;
  }

  td.table-addLessonMulti-w20p {
    width: 20%;
    min-width: 150px;
    zoom: .75;
  }

  .table-groups-v2, 
  .table-groups-v3,
  .table-lessons, 
  .table-workoffs, 
  .table-workoffs-done,
  .table-mark-lesson-coach, 
  .table-logs,
  .table-leads,
  .table-dashboard-economics,
  .table-responsive .table-users, 
  .page-forecast-subs .table-responsive .table, 
  .page-bonuses .table-responsive .table, 
  .page-invoices .table-responsive .table, 
  .page-economics .table-responsive .table,
  .page-finplan .table-responsive .table,
  .page-admins .table-responsive .table, 
  .page-custom-data .table-responsive .table, 
  .page-cron-tasks .table-responsive .table, 
  .page-coaches .table-responsive .table, 
  .page-marketing-stats .table-responsive .table,
  .page-pay-events .table-responsive .table, 
  .page-pay-links .table-responsive .table, 
  .page-payments-stats .table-responsive .table,
  .page-promocodes .table-responsive .table, 
  .page-salary-forecast .table-responsive .table,
  .page-sber-payments .table-responsive .table,
  .page-static-pages .table-responsive .table,
  .page-subs .table-responsive .table, 
  .table.table-predsez,
  .table.table-students-full {
    zoom: .75;
  }

  .mb1em a.btn-sm, 
  .mb05em a.btn-sm, 
  .student_btns a.btn-sm {
    margin-bottom: .25rem;
  }

  .student_btns a.btn-sm {
    display: block;
  }

  .row-mobile .col-12 {
    margin-bottom: 1rem;
  }

  .row-mobile .col-12:nth-last-of-type(1) {
    margin-bottom: 0;
  }

  [role="main"] {
    padding-top: 80px; /* Space for fixed navbar */
  }

  .table.table-dashboard-economics td,
  .table.table-dashboard-economics th {
    padding: .35rem;
    font-size: .75rem;
  }

  div.gray-container {
    padding: 10px 15px;
  }

  div.gray-container .col-12:nth-of-type(1) {
    margin-bottom: .5em;
  }

  .nav-link .badge {
    width: 36px;
    height: 36px;
    line-height: 36px;
    border-radius: 18px;
  }

  .hide_on_mobile {
    display: none !important;
  }

  .hide_on_desktop {
    display: table-row;
  }

  .hide_on_desktop_inline {
    display: inline
  }

  .btn-lg {
    font-size: 1em;
  }

  .sidebar .user-info table tr td.ui-avatar {
    display: none;
  }

  .sidebar .user-info table {
    width: 100%;
  }

  h1.h1_top {
    margin-top: 0;
    font-size: 1.5em;
    letter-spacing: 1px;
  }

  .sidebar-heading span {
    display: block;
    width: 100%;
    font-size: .75em;
  }

  .col-md-mb-1 {
    margin-bottom: 1em;
  }

  .col-md-mt-1
  {
    margin-top: 1em;
  }

  .col-md-mt-05
  {
    margin-top: .5em;
  }

  #sidebarMenu .sidebar-heading.mt-4 {
    margin-top: 20px !important;
  }

  .nav-link {
      display: block;
      padding: .1rem .25rem;
      font-size: 1em;
  }

  .sidebar-heading {
    margin-top: 0;
  }

  .mb-block {
    display: none;
  }

  .sidebar-heading {
    padding: 0;
    margin: 0;
  }

  .nav-link.nav-link-mini {
    margin-bottom: 5px;
    margin-right: 2px;
  }

  .nav-tabs {
    border-bottom-color: transparent;
  }

  .nav-link:not(.nav-link-mini), 
  .sidebar-heading span a, 
  .ui-info-links a {
    display: block;
    width: 100%;
    padding: 1rem 1.5rem;
    font-size: 1.5rem;
    border-top: 1px solid #999;
  }

  .sidebar-heading span a {
    font-weight: bold;
    font-size: 20px;
    background-color: #343a40!important;
    color: #fff;
    border-top: 1px solid #666;
    border-bottom-width: 0;
  }

  .sidebar-heading.mb-1 {
    margin-bottom: 0 !important;
  }

  .sidebar .user-info {
    padding: 0;
    margin: 0;
  }

  .ui-info-greetings {
    font-size: 25px;
    padding: 30px;
    display: none;
  }

  .ui-info-links {
    margin-top: 0;
  }

  .sidebar .user-info a {
    border-bottom-width: 0;
  }

  a.navbar-brand {
    font-size: 25px;
  }

  .fastlog {
    padding: .35rem .75rem;
    margin-top: .1rem;
  }
}

.badge.navbar-badge {
  font-size: .6em;
  width: 22px;
  height: 22px;
  line-height: 22px;
  border-radius: 11px;
  padding: 0;
  position: absolute;
}

/* admin_profile */

.admin_info {
  text-align: center;
  background-color: #f1f1f1;
  padding: 2em;
  border-radius: 2em;
}

.ai_avatar {
  width: 50%;
  margin: 0 auto 2em;
}

.ai_avatar img {
  width: 100%;
  border-radius: 9999px;
}

.ai_name {
  font-size: 2em;
  font-weight: bold;
  margin-bottom: 1em;
}

.admin-badges .badge {
  font-size: 90%;
  margin-left: 1em;
}

/* balance */

.page-balance h4 {
  margin-bottom: .5em;
  margin-top: 0;
}

.page-balance .alert.alert.wallet-info {
  padding: 25px 40px;
  border-radius: 10px;
  margin: 10px 0;
  position: relative;
}

.page-balance .alert.wallet-info .wi-edit {
  position: absolute;
  top: 25px;
  right: 40px;
}

.page-balance .alert.wallet-info h6 {
  text-transform: uppercase;
  font-size: 1.2em;
  letter-spacing: .05em;
}

.page-balance .alert.wallet-info h3 {
  font-weight: bold;
  font-size: 2.5em;
  margin-bottom: 0;
}

.page-balance .alert.wallet-info.alert-info {
  background-color: transparent;
  color: #666;
  border-color: #aaa;
}

.page-balance .alert.wallet-info.alert-success {
  background-color: transparent;
}

/* bonuses */

.page-bonuses .badge {
  font-size: .9em;
}

/* coaches */

.page-coaches .student-edit-menu .btn.btn-sm {
  font-size: 12px;
  line-height: 1em;
  padding: 5px 10px;
  border-radius: 3px;
}

.page-coaches .student-edit-menu .dropdown-menu {
  padding: 5px 0;
}

.page-coaches .student-edit-menu .dropdown-divider {
  margin: 5px 0;
}

.page-coaches .student-edit-menu .dropdown-item {
  font-size: 12px;
  line-height: 1em;
  padding: 5px 10px;
}

/* economics */

.page-economics .kid-circle {
  display: inline-block;
  width: 8px;
  height: 8px;
  border-radius: 4px;
  background-color: #cacaca;
  margin-right: 2px;
}

.page-economics .kid-circle.kid-green {
  background-color: green;
}

.page-economics .kid-circle.kid-yellow {
  background-color: #FFD400;
}

.page-economics .kid-circle.kid-red {
  background-color: red;
}

.page-economics .kid-circle.kid-dark-red {
  background-color: #8B0000;
}

.page-economics .kids-count,
.page-economics .kids-count-number {
  display: block;
  line-height: 14px;
}

.page-economics .kids-count-number .kcn-inner {
  font-size: 12px;
  line-height: 14px;
  font-weight: bold;
  display: block;
  text-align: left;
}

.page-economics .lh-label {
  font-size: 9px;
  font-weight: bold;
  display: inline-block;
  width: 15px;
  height: 15px;
  border-radius: 8px;
  line-height: 15px;
  text-align: center;
  background-color: #666;
  color: #fff;
  margin-right: 1px;
}

.page-economics .lh-label.lhl-red {
  background-color: #8B0000;
}

.page-economics .lh-label.lhl-bad {
  background-color: red;
}

.page-economics .lh-label.lhl-gray {
  background-color: #ddd;
}

.page-economics .lessons_dates {
  margin-top: 1em;
  font-size: .8em;
  border-radius: .75em;
  padding: 1em;
  background-color: #f1f1f1;
  display: none;
}

.page-economics .editMoneySettings {
  display: none;
}

.page-economics .form-control.form-control-xs {
  display: inline-block;
  font-size: 12px;
  width: 80px;
  margin-left: 10px;
}

.page-economics .sg_underline {
  border-bottom: 1px dotted #333;
}

/* forecast-subs */

.page-forecast-subs th h4 {
  margin-bottom: 0;
  padding: .25em 0;
}

.page-forecast-subs th h6 {
  margin-bottom: 0;
  padding: .25em 0;
}

.page-forecast-subs td .badge {
  font-size: .9em;
}

.page-forecast-subs tr:hover {
  background-color: rgba(155, 155, 155, .2);
}

/* invoices */

.page-invoices .badge {
  font-size: 90%;
}

.page-invoices .delete_files label {
  display: block;
}

/* marketing-stats */

.page-marketing-stats .bright {
  border-right: 1px solid #dee2e6;
}

/* news */

.page-news .addNews {
  display: none;
}

.page-news .mb1em {
  margin-bottom: 1em;
}

/* promocodes */

.page-promocodes .badge {
  font-size: .9em;
  margin-left: 5px;
}

/* saldo */

.page-saldo table.table th,
.page-saldo table.table td {
  white-space: nowrap;
}

/* sber-payments */

.page-sber-payments .badge {
  font-size: .9em;
}

/* settings */

.page-settings .settings-block p .badge,
.page-settings .settings-block div .badge {
  font-size: .8em;
  float: right;
}

.page-settings .settings-block .col-12 {
  margin-bottom: 1em;
}

.page-settings .stg-update-date {
  font-size: .8em;
}

/* static-pages */

.page-static-pages #ace_editor {
    position: relative;
    width: 100%;
    height: 600px;
}

.page-static-pages .ace_editor_textarea {
  display: none;
}

.page-static-pages .add-sp-wrapper button[type='submit'], 
.page-static-pages .edit-sp-wrapper button[type='submit'] {
  margin: 1em 0 0 0;
}

/* subs */

.page-subs th h4 {
  margin-bottom: 0;
  padding: .25em 0;
}

.page-subs th h6 {
  margin-bottom: 0;
  padding: .25em 0;
}

.page-subs td .badge {
  font-size: .9em;
}

.page-subs tr:hover {
  background-color: rgba(155, 155, 155, .2);
}

.autoComplete_wrapper {
  width: 100%;
}

.autoComplete_wrapper>input {
  border-color: #633abc !important;
  color: #633abc !important;
  width: 100% !important;
  border-radius: 1px !important;
}

.btn-style {
  background-color: #633abc;
  border-color: #633abc;
  color: #fff !important;
}

.btn-kid {
  padding-top: 18px;
  padding-bottom: 18px;
  text-transform: uppercase;
  font-weight: bold;
}

td.the_wheel
{
    background-position: center;
    background-repeat: no-repeat;
}

.nosubs_potential_sum_day,
.nosubs_frcst_potential_sum_day {
  display: none;
}

.last-p-no-mb p:nth-last-of-type(1) {
  margin-bottom: 0;
}